import request from '@/utils/request'



// 获取公告列表
export function getNoticeList(noticeType, pageNum, pageSize) {
	const data = {
		noticeType,
		pageNum,
		pageSize

	}
	return request({
		'url': '/system/notice/listApp',
		'method': 'get',
		'data': data
	})
}
export function getInfrastructureList(id, type) {
	return request({
		'url': '/zdsz/engineeringInfrastructure/' + id + '/' + type,
		'method': 'get',
	})
}

//基建工程新增
export function SubmitInfrastructure(param) {
	return request({
		'url': '/zdsz/engineeringInfrastructure/AddApp',
		'method': 'post',
		'data': param
	})
}
//查询基建工程详情
export function getInfrastructureDetails(id) {
	return request({
		'url': '/zdsz/engineeringInfrastructure/' + id,
		'method': 'get',
	})
}
//基建工程查询工程名称
export function getInfrastructureNameList() {
	return request({
		'url': '/zdsz/engineeringInfrastructure/select',
		'method': 'get',

	})
}
//危险作业工程修改详情
export function updateDangerousWorkProject(param) {
	return request({
		'url': '/zdsz/engineeringDangerous',
		'method': 'put',
		'data': param,
	})
}

// 获取顶管工程历史
export function getTopPipeHistoryList(id, type) {
	return request({
		'url': '/zdsz/engineeringPipeJacking/' + id + '/' + type,
		'method': 'get',
	})
}

//顶管工程新增
export function SubmitTopPipeWork(param) {
	return request({
		'url': '/zdsz/engineeringPipeJacking/AppAdd',
		'method': 'post',
		'data': param
	})
}

//查询顶管工程详情
export function getTopPipeWorkDetails(id) {
	return request({
		'url': '/zdsz/engineeringPipeJacking/' + id,
		'method': 'get',
	})
}
//顶管工程查询名称
export function getTopPipeNameList() {
	return request({
		'url': '/zdsz/engineeringPipeJacking/queryListNew',
		'method': 'get',

	})
}
//危险作业工程下拉列表查询
export function getDangerousWorkProjectList(param) {
	return request({
		'url': '/zdsz/engineeringDangerous/nameAndIdList',
		'method': 'get',
		'data': param
	})
}

//查询危险作业工程详情
export function getDangerousWorkProjectDetails(id) {
	return request({
		'url': '/zdsz/engineeringDangerous/query/' + id,
		'method': 'get',
	})
}

// 获取工业工程历史
export function getEngineeringHistoryList(id, type) {

	return request({
		'url': '/zdsz/engineeringIndustry/' + id + '/' + type,
		'method': 'get',
	})
}

// 工业工程  市政工程 详情  根据id 查询
export function getEngineeringDetails(id) {

	return request({
		'url': '/zdsz/engineeringIndustry/' + id,
		'method': 'get',

	})
}

// 工业工程  市政工程 - 根据工程类型查询列表
export function getengineeringNameList(enginType, type, enginClassification) {
	const data = {
		enginType,
		type,
		enginClassification
	}
	return request({
		'url': '/zdsz/engineeringIndustry/queryNameByType',
		'method': 'get',
		'data': data
	})
}

// 根据小区楼栋单元 获取工程用料统计（areaId(string) 小区ID realityQuality材质 realitySpecifications 规格）
export function getMunicipalStatisticsData(param) {
	return request({
		'url': '/zdsz/materialStatistics/list',
		'method': 'post',
		'data': param
	})
}
// 根据楼栋小区单元楼栋 查询完成情况统计（areaId(string) 小区ID buildingId单元  unitId楼栋）
export function getObtainRoomcCompletionInformationList(param) {
	return request({
		'url': '/zdsz/engineeringCivil/getObtainRoomcCompletionInformationList',
		'method': 'post',
		'data': param
	})
}
// 新增（提交）市政工程
export function submitMunicipalData(param) {
	return request({
		'url': '/zdsz/engineeringIndustry',
		'method': 'post',
		'data': param
	})
}

// 工业工程修改
export function Submitengineering(engineering) {
	return request({
		'url': '/zdsz/engineeringIndustry',
		'method': 'put',
		'data': engineering
	})
}
// 获取房间工程历史
export function getRoomProjectList(id, type) {

	return request({
		'url': '/zdsz/engineeringCivil/' + id + '/' + type,
		'method': 'get',
	})
}
// 查询房间是否有工程
export function getRoomProjectId(room) {

	return request({
		'url': '/zdsz/engineeringCivil/query',
		'method': 'post',
		'data': room
	})
}
// 材质规格下拉
export function getEnginSpecificationsList(materId) {
	const data = {
		materId
	}
	return request({
		'url': '/zdsz/enginSpecifications/getEnginSpecificationsList',
		'method': 'get',
		'data': data
	})
}

// 工程材质下拉
export function getEnginMaterialQualityList(enginType) {
	const data = {
		enginType
	}
	return request({
		'url': '/zdsz/enginMaterialQuality/getEnginMaterialQualityList',
		'method': 'get',
		'data': data
	})
}
// 新增拆旧管
export function addTearOldPipe(param) {
	return request({
		'url': '/zdsz/engineeringCivil',
		'method': 'post',
		'data': param
	})
}

// 获取小区字典值
export function getAreaList(district) {
	const data = {
		district
	}
	return request({
		'url': '/zdsz/area/getAreaList',
		'method': 'get',
		'data': data
	})
}
// 获取楼宇字典值
export function getBuildingList(areaId) {
	const data = {
		areaId
	}
	return request({
		'url': '/zdsz/building/getBuildingList',
		'method': 'get',
		'data': data
	})
}
// 获取单元字典值
export function getUnitList(buildingId) {
	const data = {
		buildingId
	}
	return request({
		'url': '/zdsz/unit/getUnitList',
		'method': 'get',
		'data': data
	})
}
// 获取房间字典值
export function getHousesList(unitId) {
	const data = {
		unitId
	}
	return request({
		'url': '/zdsz/house/getHousesList',
		'method': 'get',
		'data': data
	})
}